3 Replies Latest reply on Feb 10, 2011 8:06 AM by twenden

    Upgrading from ePO 4.0 to 4.5

      We have a directive to move from ePO 4.0 to ePO 4.5.

       

      Currently we're at maintenance release 4 on ePO 4.0. I've been told we have to upgrade to maintenance release 5 (MR5) before we can upgrade to ePO 4.5. Is that accurate, or can we go straight to ePO 4.5?

       

      Another thought came to mind. I don't usually like doing upgrades anyway. Is it possible to do a fresh install of ePO 4.5 and then just import everything over to the new platform?

       

      Thanks in advance for your words of wisdom.

       

      PG

        • 1. Re: Upgrading from ePO 4.0 to 4.5
          JoeBidgood

          hbss_admin wrote:

           

          We have a directive to move from ePO 4.0 to ePO 4.5.

           

          Currently we're at maintenance release 4 on ePO 4.0. I've been told we have to upgrade to maintenance release 5 (MR5) before we can upgrade to ePO 4.5. Is that accurate, or can we go straight to ePO 4.5?

           

           

          If you want to go to the current version of 4.5, which is 4.5 Patch 3, then yes, you need to be at 4.0 Patch 5 or above. (Current latest ePO 4.0 patch is patch 7.)

           

          Another thought came to mind. I don't usually like doing upgrades anyway. Is it possible to do a fresh install of ePO 4.5 and then just import everything over to the new platform?

           

           

          No, I'm afraid not - at least not without an enormous amount of pain and suffering    It's possible, of course, but you'll end up manually recreating your system tree, policy assigments, tasks, server tasks, automated responses and everything else.  I'd recommend against it...

           

          HTH -

           

          Joe

          • 2. Re: Upgrading from ePO 4.0 to 4.5

            That is one upgrade that you DO want to do. Just make sure you back up your ePO folder before you start, just in case.

            • 3. Re: Upgrading from ePO 4.0 to 4.5
              twenden

              I am in the same boat as you with facing the need to upgrade our ePO 4.0 server to ePO 4.5 or 4.6 (when it gets released). ePO 4.0 end-of-life is Sept 2011, this is fast approaching.

               

              Currently my upgrade path is as follow:.

               

              1. Upgrade ePO 4.0 server from Patch 4 to Patch 7. This has been done last week.

              2. Upgrade all the ePO 4.0 agents to the latest ePO 4.5 (Patch 2) version 4.5.0.1810 agent. One less thing to upgrade as ePO 4.0 agent end-of-life Dec 2011. Almost completed.

              3. Migrate the MSDE database to use SQL Express 2005. ePO 4.5 or 4.6 will not support MSDE so this is a must.

              4. Lastly upgrade to ePO 4.5 Patch 3 or ePO 4.6 when it gets released in the next few months or so.

               

              Steps 3 & 4 have the highest risk of failure. We are in the process of setting up a Vmware infrastructure. We shall migrate the production ePO 4.0 server to Vmware. This will reduce the risk as we can create a snapshot prior to upgrade allowing for a quick fallback if all fails.

               

              Will be starting Vmware setup/installation training next week. I am also the Vmware Administrator.

               

               

              Message was edited by: twenden on 2/10/11 8:05:28 AM CST

               

               

              Message was edited by: twenden on 2/10/11 8:05:58 AM CST

               

               

              Message was edited by: twenden on 2/10/11 8:06:10 AM CST

               

               

              Message was edited by: twenden on 2/10/11 8:06:40 AM CST